%define oname   unicorn

Name:       ruby-%{oname}
Version:    4.4.0
Release:    %mkrel 3
Summary:    Rack HTTP server for fast clients and Unix
License:    Ruby License or GPLv2
Group:      Development/Ruby
URL:        http://unicorn.bogomips.org/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel

%description
\Unicorn is an HTTP server for Rack applications designed to only serve
fast clients on low-latency, high-bandwidth connections and take
advantage of features in Unix/Unix-like kernels.  Slow clients should
only be served by placing a reverse proxy capable of fully buffering
both the the request and response in between \Unicorn and slow clients.

%files
%doc FAQ README TUNING PHILOSOPHY HACKING DESIGN CONTRIBUTORS LICENSE SIGNALS KNOWN_ISSUES TODO ChangeLog LATEST ISSUES Sandbox NEWS examples/ Documentation/
%{_bindir}/unicorn
%{_bindir}/unicorn_rails
%{_mandir}/man1/%{oname}*.1.*
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/*

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Application_Timeouts
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Links
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/{FAQ,README,TUNING,PHILOSOPHY,HACKING,DESIGN,CONTRIBUTORS,LICENSE,SIGNALS,KNOWN_ISSUES,TODO,ChangeLog,LATEST,ISSUES,NEWS,Sandbox,ext/}

# Fix some really stupid shebang WTF
sed -i -e 's|#!.*|#!/usr/bin/env ruby|' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/bin/*

# Install manpages
%{__install} -d %{buildroot}%{_mandir}/man1/
%{__install} -m644 man/man1/unicorn.1 %{buildroot}%{_mandir}/man1/
%{__install} -m644 man/man1/unicorn_rails.1 %{buildroot}%{_mandir}/man1


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 4.4.0-3.mga3
+ Revision: 396600
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 4.4.0-2.mga3
+ Revision: 381621
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 4.4.0-1.mga3
+ Revision: 313103
- update file list
- new version 4.4.0

* Wed Apr 06 2011 shikamaru <shikamaru> 3.5.0-1.mga1
+ Revision: 81484
- imported package ruby-unicorn

